# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Carp-Clan
Version:	6.08
Release:	1.%{__distinit}%{__distvers}
Summary:	Perl module to print improved warning messages
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Carp-Clan
Source0:	https://cpan.metacpan.org/modules/by-module/Carp/Carp-Clan-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(overload)
BuildRequires:	perl(strict)
# Test Suite
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(warnings)
# Optional Tests
BuildRequires:	perl(CPAN::Meta) >= 2.120900
%if 0%{?fedora:1} && !0%{?perl_bootstrap:1}
BuildRequires:	perl(Object::Deadly) >= 0.08
%endif
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module reports errors from the perspective of the caller of a
"clan" of modules, similar to "Carp.pm" itself. But instead of giving
it a number of levels to skip on the calling stack, you give it a
pattern to characterize the package names of the "clan" of modules
which shall never be blamed for any error.

%prep
%setup -q -n Carp-Clan-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/Carp/
%{_mandir}/man3/Carp::Clan.3*

%changelog
* Sun Sep 15 2019 Paul Howarth <paul@city-fan.org> - 6.08-1
- Update to 6.08
  - Fix warning in bad test (CPAN RT#130494)
  - Speed up code that was accommodating ancient perl versions that are no
    longer supported

* Tue Jun  4 2019 Paul Howarth <paul@city-fan.org> - 6.07-4
- Perl 5.30 rebuild

* Mon Dec  3 2018 Paul Howarth <paul@city-fan.org> - 6.07-1
- Update to 6.07
  - Declared test prerequisites in the proper phase (CPAN RT#125288)
  - Modernized distribution tooling
- Switch upstream from search.cpan.org to metacpan.org
- Drop provides filter, no longer needed
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Mon Aug  1 2016 Paul Howarth <paul@city-fan.org> - 6.06-2
- Fix FTBFS when perl is not in the minimal buildroot

* Sun May 29 2016 Paul Howarth <paul@city-fan.org> - 6.06-1
- Update to 6.06
  - Patch tests failing due to 5.25.1+'s deprecated unquoted { } in regex
    (CPAN RT#114537)
  - Avoid failure due to version self-check in 20pre560.t
- This release by KENTNL → update source URL
- Classify buildreqs by usage
- Simplify find command using -delete
- Prefer %%global over %%define

* Wed Sep 10 2014 Paul Howarth <paul@city-fan.org> - 6.04-15
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Mon Jul  9 2012 Paul Howarth <paul@city-fan.org> - 6.04-7
- Perl 5.16 rebuild

* Thu May 31 2012 Paul Howarth <paul@city-fan.org> - 6.04-6
- Filter bogus provide of perl(DB) on systems with rpm ≥ 4.9
- Don't need to remove empty directories from buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 6.04-5
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 6.04-4
- Rebuild for perl 5.12.1 in Rawhide

* Tue Jun  8 2010 Paul Howarth <paul@city-fan.org> - 6.04-3
- Fix dist tag for RHEL-6 Beta

* Mon Feb  1 2010 Paul Howarth <paul@city-fan.org> - 6.04-2
- Import from Fedora

* Wed Jan 27 2010 Stepan Kasal <skasal@redhat.com> - 6.04-1
- New upstream version

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 6.03-2
- Rebuild against perl 5.10.1

* Mon Oct 19 2009 Marcela Mašláňová <mmaslano@redhat.com> - 6.031
- Update to 6.03

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.00-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 22 2009 Robert Scheck <robert@fedoraproject.org> - 6.00-4
- Really remove the no-prompt patch to avoid RPM rebuild errors

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.00-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 22 2008 Marcela Maslanova <mmaslano@redhat.com> - 6.0-1
- Update to 6.0

* Tue Feb  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 5.9-5
- Rebuild for new perl (normally)

* Sat Feb  2 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 5.9-4.1
- Temporarily disable BR on Object::Deadly, tests

* Mon Nov 19 2007 Robin Norwood <rnorwood@redhat.com> - 5.9-4
- Add BR: perl-Object-Deadly now that it is included in Fedora

* Wed Oct 24 2007 Robin Norwood <rnorwood@redhat.com> - 5.9-3
- Fix BuildRequires
- Various specfile cleanups

* Thu Aug 23 2007 Robin Norwood <rnorwood@redhat.com> - 5.9-2
- Update license tag

* Mon Jun 04 2007 Robin Norwood <rnorwood@redhat.com> - 5.9-1
- Update to latest CPAN version: 5.9
- Upstream Makefile.PL prompts for user input to include
  Object::Deadly as a prerequisite; we don't ship Object::Deadly, so
  just comment out the prompt

* Fri Jan 26 2007 Robin Norwood <rnorwood@redhat.com> - 5.8-2
- Resolves: bz#224571 - Remove erroneous rpm 'provides' of perl(DB)

* Sat Dec 02 2006 Robin Norwood <rnorwood@redhat.com> - 5.8-1
- New version

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 5.3-3
- Rebuild

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 5.3-2
- Rebuild for perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com> - 5.3-1.1
- Rebuilt for new gcc

* Sat Apr 02 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 5.3-1
- First build
